#!/bin/sh

#THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
#Product #5724-J34, (C) COPYRIGHT International Business Machines Corp., 2004,2008
#All Rights Reserved * Licensed Materials - Property of IBM
#US Government Users Restricted Rights - Use, duplication or disclosure
#restricted by GSA ADP Schedule Contract with IBM Corp.

OS=`uname -s`
CURRENTDIR=`dirname $0`
LOGFILE=$HOME/.iip_extract_JRE.log
CLEANUP=false
JRE_DIR=""
CONTRIBLOCATION="."

while [ $# -gt 0 ]
do
	if [ $1 = "-d" ]
	then
		shift
		JRE_DIR="$1"		
	fi
	if [ $1 = "-cleanup" ]
	then
		CLEANUP="true"
	fi
	if [ $1 = "-contribloc" ]
	then
		shift
		D=`dirname "$1"`
		B=`basename "$1"`
		CONTRIBLOCATION="`cd \"$D\" 2>/dev/null && pwd`/$B"
	fi

	shift
done


echo  ==== XS 7.0 JRE Extractor ==== >> $LOGFILE

echo "JRE_DIR=$JRE_DIR" >> $LOGFILE
echo "CONTRIBLOCATION=$CONTRIBLOCATION" >> $LOGFILE
echo "OS=$OS" >> $LOGFILE

if [ $CLEANUP = "true" ]
	then
		if [ $JRE_DIR != "" ]
			then 
				echo "JRE directory= $JRE_DIR" >> $LOGFILE
				cd $JRE_DIR
				DELDIR=`pwd`
				cd ..
				echo "Cleaning up with rm -rf $DELDIR" >> $LOGFILE
				rm -rf $DELDIR
				exit 0
		fi
fi

case "$OS" in
          "AIX")		
		case "`getconf KERNEL_BITMODE`" in 
			"32")
			mkdir -p $JRE_DIR
			echo "Using aix/unzipsfx $CONTRIBLOCATION/install.aix.ppc32 $@" >> $LOGFILE
			cat $CONTRIBLOCATION/jreextractor/aix/unzipsfx $CONTRIBLOCATION/WXS/install.aix.ppc32 > $JRE_DIR/extractJRE
			cd $JRE_DIR
			chmod 755 extractJRE
			./extractJRE >> $LOGFILE
			rm -rf extractJRE
			;;
			"64")
			mkdir -p $JRE_DIR
			echo "Using aix/unzipsfx $CONTRIBLOCATION/install.aix.ppc64 $@" >> $LOGFILE
			cat $CONTRIBLOCATION/jreextractor/aix/unzipsfx $CONTRIBLOCATION/WXS/install.aix.ppc64 > $JRE_DIR/extractJRE
			cd $JRE_DIR
			chmod 755 extractJRE
			./extractJRE >> $LOGFILE
			rm -rf extractJRE
			;;
			*)
			echo "ERROR: Can't determine platform or platform not supported."	
			exit 1
			;;
		esac
          ;;
          "SunOS")
          	ARCH_TYPE=`uname -m`
		echo "ARCH_TYPE=$ARCH_TYPE" >> $LOGFILE
		if [ "$ARCH_TYPE" = "i86pc" ] ; then
			mkdir -p $JRE_DIR
			echo "Using solaris.x86_64/unzipsfx $CONTRIBLOCATION/install.solaris.x86_64 $@" >> $LOGFILE
			cat $CONTRIBLOCATION/jreextractor/solaris.x86/unzipsfx $CONTRIBLOCATION/WXS/install.solaris.x86_64 > $JRE_DIR/extractJRE
			cd $JRE_DIR
			chmod 755 extractJRE
			./extractJRE >> $LOGFILE
			chmod -R 755 $JRE_DIR
			rm -rf extractJRE
		else 
			mkdir -p $JRE_DIR
			echo "Using solaris.sparc/unzipsfx $CONTRIBLOCATION/install.solaris.sparc $@" >> $LOGFILE
			cat $CONTRIBLOCATION/jreextractor/solaris.sparc/unzipsfx $CONTRIBLOCATION/WXS/install.solaris.sparc > $JRE_DIR/extractJRE
			cd $JRE_DIR
			chmod 755 extractJRE
			./extractJRE >> $LOGFILE
			rm -rf extractJRE
		fi

          ;;
          "HP-UX")
          	CPU_VERSION=`getconf CPU_VERSION`
		echo "CPU_VERSION=$CPU_VERSION" >> $LOGFILE
		if [ $CPU_VERSION -eq 768 ] ; then
			mkdir -p $JRE_DIR
			echo "Using hpux/unzipsfx $CONTRIBLOCATION/install.hpux.ia64 $@" >> $LOGFILE
			cat $CONTRIBLOCATION/jreextractor/hpux/unzipsfx $CONTRIBLOCATION/WXS/install.hpux.ia64 > $JRE_DIR/extractJRE
			cd $JRE_DIR
			chmod 755 extractJRE
			./extractJRE >> $LOGFILE
			rm -rf extractJRE
		else 
			mkdir -p $JRE_DIR
			echo "Using hpux/unzipsfx $CONTRIBLOCATION/install.hpux.pa-risc $@" >> $LOGFILE
			cat $CONTRIBLOCATION/jreextractor/hpux/unzipsfx $CONTRIBLOCATION/WXS/install.hpux.pa-risc > $JRE_DIR/extractJRE
			cd $JRE_DIR
			chmod 755 extractJRE
			./extractJRE >> $LOGFILE
			rm -rf extractJRE
		fi
          ;;
          "Linux")
          	case "`uname -m`" in 
          	ppc*)
			mkdir -p $JRE_DIR
			echo "Using linux.ppc/unzipsfx $CONTRIBLOCATION/install.linux.ppc32 $@" >> $LOGFILE
			cat $CONTRIBLOCATION/jreextractor/linux.ppc/unzipsfx $CONTRIBLOCATION/WXS/install.linux.ppc32 > $JRE_DIR/extractJRE
			cd $JRE_DIR
			chmod 755 extractJRE
			./extractJRE >> $LOGFILE
			rm -rf extractJRE
		;;
		"ia64")
			echo "ERROR: IA64 is not supported."
			exit 1	
		;;
		"x86_64")
			mkdir -p $JRE_DIR
			echo "Using linux.x86/unzipsfx $CONTRIBLOCATION/install.linux.x86_64 $@" >> $LOGFILE
			cat $CONTRIBLOCATION/jreextractor/linux.x86/unzipsfx $CONTRIBLOCATION/WXS/install.linux.x86_64 > $JRE_DIR/extractJRE
			cd $JRE_DIR
			chmod 755 extractJRE
			./extractJRE >> $LOGFILE			
			rm -rf extractJRE
		;;
		s390*)
			mkdir -p $JRE_DIR
			echo "Using linux.s390/unzipsfx $CONTRIBLOCATION/install.linux.s390 $@" >> $LOGFILE
			cat $CONTRIBLOCATION/jreextractor/linux.s390/unzipsfx $CONTRIBLOCATION/WXS/install.linux.s390 > $JRE_DIR/extractJRE
			cd $JRE_DIR
			chmod 755 extractJRE
			./extractJRE >> $LOGFILE
			rm -rf extractJRE
		;;
		*)
			mkdir -p $JRE_DIR
			echo "Using linux.x86/unzipsfx $CONTRIBLOCATION/install.linux.ia32 $@" >> $LOGFILE
			cat $CONTRIBLOCATION/jreextractor/linux.x86/unzipsfx $CONTRIBLOCATION/WXS/install.linux.ia32 > $JRE_DIR/extractJRE			
			cd $JRE_DIR
			chmod 755 extractJRE
			./extractJRE >> $LOGFILE	
			rm -rf extractJRE
		;;
		esac
          ;;
          *)
          echo "ERROR: Can't determine platform or platform not supported."
          exit 1
          ;;
esac
